/******************************************************************************
 *
 * $Id$ 
 *
 * Project:  WindNinja
 * Purpose:  Test reading the input point comparison
 * Author:   Levi Malott <lmnn3@mst.edu>
 *
 ******************************************************************************
 *
 * THIS SOFTWARE WAS DEVELOPED AT THE ROCKY MOUNTAIN RESEARCH STATION (RMRS)
 * MISSOULA FIRE SCIENCES LABORATORY BY EMPLOYEES OF THE FEDERAL GOVERNMENT 
 * IN THE COURSE OF THEIR OFFICIAL DUTIES. PURSUANT TO TITLE 17 SECTION 105 
 * OF THE UNITED STATES CODE, THIS SOFTWARE IS NOT SUBJECT TO COPYRIGHT 
 * PROTECTION AND IS IN THE PUBLIC DOMAIN. RMRS MISSOULA FIRE SCIENCES 
 * LABORATORY ASSUMES NO RESPONSIBILITY WHATSOEVER FOR ITS USE BY OTHER 
 * PARTIES,  AND MAKES NO GUARANTEES, EXPRESSED OR IMPLIED, ABOUT ITS QUALITY, 
 * RELIABILITY, OR ANY OTHER CHARACTERISTIC.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 *****************************************************************************/

#include <string>

#include "WindNinjaInputs.h"
#include "ninja_conv.h"

#include <boost/test/unit_test.hpp>

/******************************************************************************
*                        "INPUT_POINTS" BOOST TEST SUITE
*******************************************************************************
*   Tests:
*       input_points/mackay
******************************************************************************/

BOOST_AUTO_TEST_SUITE( input_points )

/** 
* 
*/
BOOST_AUTO_TEST_CASE( mackay )
{
    GDALAllRegister();
    WindNinjaInputs inputs;
    std::string dem = FindDataPath("mackay.tif");
    std::string file = FindDataPath("input_points_newline.txt");
    inputs.set_DEM(dem);
    
    BOOST_CHECK_NO_THROW( inputs.set_inputPointsFilename(file) );

}



BOOST_AUTO_TEST_SUITE_END()
/******************************************************************************
*                        END "INPUT_POINTS" BOOST TEST SUITE
*****************************************************************************/
