#!/usr/env python
#******************************************************************************
#
#  $Id$
#
#  Project:  WindNinja
#  Purpose:  Script write versioning information
#  Purpose:  Download and remove elements for a kml for station locations
#  Author:   Kyle Shannon <kyle@pobox.com>
#
#******************************************************************************
#
#  THIS SOFTWARE WAS DEVELOPED AT THE ROCKY MOUNTAIN RESEARCH STATION (RMRS)
#  MISSOULA FIRE SCIENCES LABORATORY BY EMPLOYEES OF THE FEDERAL GOVERNMENT
#  IN THE COURSE OF THEIR OFFICIAL DUTIES. PURSUANT TO TITLE 17 SECTION 105
#  OF THE UNITED STATES CODE, THIS SOFTWARE IS NOT SUBJECT TO COPYRIGHT
#  PROTECTION AND IS IN THE PUBLIC DOMAIN. RMRS MISSOULA FIRE SCIENCES
#  LABORATORY ASSUMES NO RESPONSIBILITY WHATSOEVER FOR ITS USE BY OTHER
#  PARTIES,  AND MAKES NO GUARANTEES, EXPRESSED OR IMPLIED, ABOUT ITS QUALITY,
#  RELIABILITY, OR ANY OTHER CHARACTERISTIC.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
#  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
#  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
#  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
#  DEALINGS IN THE SOFTWARE.
#
#******************************************************************************
#ADD OTHER VERSIONING STUFF FOR CMAKE ETC
import os, sys
from datetime import date
print 'Obtaining current svn version...'
#get date
today = date.today()
releasedate = today.strftime('%m/%d/%y')
print 'date: ', releasedate
#get directory
fullpath = os.getcwd()
path, version = os.path.split(fullpath)
print 'svn version: ', version
#get svnversion
stdout = os.popen('svnversion')
svnresult = stdout.read()
svnresult = svnresult.strip()
svnresult = svnresult.strip('M')

print 'svn revision: ', svnresult
#write the header file
version_string = '#define VERSION \"%s\"' % version.strip()
svn_string = '#define SVN_VERSION \"%s\"' % svnresult.strip()
date_string = '#define RELEASE_DATE \"%s\"' % releasedate.strip()
fout = open('src/version.h', 'w')
#write disclaimer
fout.write('''/******************************************************************************
 *
 * $Id$
 *
 * Project:  WindNinja
 * Purpose:  Version information
 * Author:   Auto-generated by get_svn_vers.py
 *
 ******************************************************************************
 *
 * THIS SOFTWARE WAS DEVELOPED AT THE ROCKY MOUNTAIN RESEARCH STATION (RMRS)
 * MISSOULA FIRE SCIENCES LABORATORY BY EMPLOYEES OF THE FEDERAL GOVERNMENT
 * IN THE COURSE OF THEIR OFFICIAL DUTIES. PURSUANT TO TITLE 17 SECTION 105
 * OF THE UNITED STATES CODE, THIS SOFTWARE IS NOT SUBJECT TO COPYRIGHT
 * PROTECTION AND IS IN THE PUBLIC DOMAIN. RMRS MISSOULA FIRE SCIENCES
 * LABORATORY ASSUMES NO RESPONSIBILITY WHATSOEVER FOR ITS USE BY OTHER
 * PARTIES,  AND MAKES NO GUARANTEES, EXPRESSED OR IMPLIED, ABOUT ITS QUALITY,
 * RELIABILITY, OR ANY OTHER CHARACTERISTIC.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 *****************************************************************************/

''')
#write code guard
fout.write('#ifndef WINDNINJA_VERSION_H\n')
fout.write('#define WINDNINJA_VERSION_H\n')
fout.write(version_string)
fout.write('\n')
fout.write(svn_string)
fout.write('\n')
fout.write(date_string)
fout.write('\n')
fout.write('#endif /* WINDNINJA_VERSION_H */\n')
fout.close()

